Next: GDB/MI Target Manipulation, Previous: GDB/MI Symbol Query, Up: GDB/MI

### 27.17 gdb/mi File Commands

This section describes the GDB/MI commands to specify executable file names and to read in and obtain symbol table information.

#### The `-file-exec-and-symbols` Command

##### Synopsis

          -file-exec-and-symbols file

Specify the executable file to be debugged. This file is the one from which the symbol table is also read. If no file is specified, the command clears the executable and symbol information. If breakpoints are set when using this command with no arguments, gdb will produce error messages. Otherwise, no output is produced, except a completion notification.

##### gdb Command

The corresponding gdb command is ‘`file`’.

##### Example

         (gdb)
         -file-exec-and-symbols /kwikemart/marge/ezannoni/TRUNK/mbx/hello.mbx
         ^done
         (gdb)

#### The `-file-exec-file` Command

##### Synopsis

          -file-exec-file file

Specify the executable file to be debugged. Unlike ‘`-file-exec-and-symbols`’, the symbol table is not read from this file. If used without argument, gdb clears the information about the executable file. No output is produced, except a completion notification.

##### gdb Command

The corresponding gdb command is ‘`exec-file`’.

##### Example

         (gdb)
         -file-exec-file /kwikemart/marge/ezannoni/TRUNK/mbx/hello.mbx
         ^done
         (gdb)

#### The `-file-list-exec-source-file` Command

##### Synopsis

          -file-list-exec-source-file

List the line number, the current source file, and the absolute path to the current source file for the current executable. The macro information field has a value of ‘`1`’ or ‘`0`’ depending on whether or not the file includes preprocessor macro information.

##### gdb Command

The gdb equivalent is ‘`info source`’

##### Example

         (gdb)
         123-file-list-exec-source-file
         123^done,line="1",file="foo.c",fullname="/home/bar/foo.c,macro-info="1"
         (gdb)

#### The `-file-list-exec-source-files` Command

##### Synopsis

          -file-list-exec-source-files

List the source files for the current executable.

It will always output the filename, but only when gdb can find the absolute file name of a source file, will it output the fullname.

##### gdb Command

The gdb equivalent is ‘`info sources`’. `gdbtk` has an analogous command ‘`gdb_listfiles`’.

##### Example

         (gdb)
         -file-list-exec-source-files
         ^done,files=[
         {file=foo.c,fullname=/home/foo.c},
         {file=/home/bar.c,fullname=/home/bar.c},
         {file=gdb_could_not_find_fullpath.c}]
         (gdb)

#### The `-file-symbol-file` Command

##### Synopsis

          -file-symbol-file file

Read symbol table info from the specified file argument. When used without arguments, clears gdb's symbol table info. No output is produced, except for a completion notification.

##### gdb Command

The corresponding gdb command is ‘`symbol-file`’.

##### Example

         (gdb)
         -file-symbol-file /kwikemart/marge/ezannoni/TRUNK/mbx/hello.mbx
         ^done
         (gdb)